
// MARK: Menu item helpers

function menuItem(title,value,keyEqv,items,isAlternate)
{
	return { gxTitle: title, gxValue: value ? value : title, gxKeyEquivalent: keyEqv, gxMenuItems: items, gxIsAlternate: isAlternate};
};

function seperatorItem()
{
	return menuItem("-", null)
};

// ES5 Compatible

function merge(obj1, obj2) { 
	var obj3 = {};
	for (var attrname in obj1) {  
		obj3[attrname] = obj1[attrname]; 
	};
	for (var attrname in obj2) { 
		obj3[attrname] = obj2[attrname];
	}; 
    return obj3;
}; 
