markup.push({ 

	levelMeterDisplay: {
		nsClass: GXLevelMeter,
		gxFrameRateDivider: 5,
		gxShowOnKey: "showLevelMeter",
		gxValueKeyPath: "",
		gxAnimateOnKey: "animateMeters",
		gxSytlesKeyPath: "meterStyling",
		gxVertical: false,
		gxLayout: [
			"H:[self(40)]",
			"V:|-14.5-[self(7)]"
		],
		gxMinPeakHold: 0.2,
		"gxRootLayer": {
			nsClass: GXMeterLayer,
			gxBackPainter : "LevelMeterRootBack"
		},
		gxPeakHoldLayer: "PeakHoldLayer",
		gxPeakClipLayer: "PeakClipLayer",
		gxPeakLayer: "PeakLayer",
		"disabled": {
			"gxRootLayer": {
				nsClass: GXMeterLayer,
				gxBackPainter : "LevelMeterRootBack.disabled"
			},
			gxPeakLayer: {
				"+" : "PeakLayer",
				gxBackPainter: "PeakLayerBack.disabled"
			},
			gxPeakHoldLayer: {
				"+" : "PeakHoldLayer",
				gxBackPainter: "PeakHoldLayerBack.disabled"
			},
		},
	},
			
	MaskLayer:	// a simple opaque layer to instantiate as a mask
	{
		nsClass: "GXDrawLayer",
		gxBackColor: "name:black",
		gxIsOpaque: true,
		gxLayerZPosition: 6,
	},
			
	LevelMeterRootBack: {
		nsClass: GXRoundRectPainter,
		gxCornerRadius: 2,
		gxEdgeInsets: "0, 0, 0, 0",
		gxFillColor: "name:controlBackFill",
		gxFrameColor: "name:controlFrame",
		"disabled" : {
			gxFrameColor: "name:lightMinty",
		}
	},

	PeakLayer: {
		nsClass: "GXMeterLayer",
		gxLayerZPosition: 1,
		"gxVertical": false,
		gxBackPainter: "PeakLayerBack",
		gxMaskLayer: "MaskLayer",	// sets layer color for fill
	},
	
	PeakLayerBack : {
		nsClass: GXRoundRectPainter,
		gxEdgeInsets: "0, 0, 4, 0",
		gxCornerRadii: "3,0,0,3",
		gxFillColor: "name:fullGreen",
		"disabled" : {
			gxFillColor: "name:darkGrayAlpha20"
		}
	},
	PeakHoldLayer: {
		nsClass: "GXDrawLayer",
		gxLayerZPosition: -1,
		gxFrameRect: "0, 0, 4, 7",  // size matters, not position
		"gxVertical": false,
		gxBackPainter: "PeakHoldLayerBack"
		
	},
			
	PeakHoldLayerBack: {
		nsClass: GXRoundRectPainter,
		gxEdgeInsets : "0,0,3,0",
		gxFillColor: "name:fullGreen",
		"disabled" : {
			gxFillColor: "name:lightMinty"
		}
	},

	PeakClipLayer: {
		nsClass: "GXDrawLayer",
		gxLayerZPosition: 4,
		gxFrameRect: "-1, 1, 3, 7",  // size matters, not position
		"gxVertical": false,
		gxBackPainter: {
			nsClass: GXRoundRectPainter, 
			gxCornerRadii: "0,2.5,2.5,0", 
			gxFillColor: "hsba:360, 78, 100, 100",
		},
	},

});
