function sourceListView(headerName, volumeHeaderTitle, boostHeaderTitle, deviceTitle, listBottomGap) {
    var heightOffset = 0;
    return {
        nsClass: "SoundSource.TCSourceListView",
        gxLayout: [
            "H:|-10-[self]-10-|",
			"V:[self(>=65)]",
        ], 
		gxDrawsSelected: true,
		gxLayoutSubviews: true, 
		axIsIgnored: true,
		gxCollapsible: false,
		listTopHeight: 2,
		// Don't change this listBottomHeight, or else when expanding the advanced
		// view of source items, you will see a flash of color at the bottom of the list.
		listBottomHeight: listBottomGap,
        gxChildViews: {
            headerView: {
                nsClass: GXDrawView,
                gxIntrinsicHeight: 24,
                gxLayout: [
                    "H:|-9.5-[self]-0-|",
                ],
                gxChildViews: {
                    "sourceHeader": {
                        "+": "LabelView.size14.bold",
                        gxIntrinsicHeight: 22,
                        gxLayout: [
                            "H:|-0-[self]",
                            "V:|-" + heightOffset + "-[self]"
                        ],
						axIsIgnored: true,
                        gxDefaultValue: headerName
                    },
                    "volumeHeader": {
                        "+": "LabelView.size12.center",
                        gxIntrinsicHeight: 25,
						gxIntrinsicWidth: -1,
                        gxLayout: [
                            "V:|-" + (heightOffset) + "-[self]",
							"H:[self(100)]-347-|"
                        ],
                        gxDefaultValue: volumeHeaderTitle
                    },
                    "boostHeader": {
                        "+": "LabelView.size12.center",
                        gxIntrinsicHeight: 25,
						gxIntrinsicWidth: 50,
                        gxLayout: [
                            "V:|-" + (heightOffset) + "-[self]",
							"H:[self(50)]-243-|"
                        ],
                        gxDefaultValue: boostHeaderTitle
                    },
                    "deviceHeader": {
                        "+": "LabelView.size12.center",
                        gxIntrinsicHeight: 25,
                        gxIntrinsicWidth: -1,
						gxShowSpeedSeconds: 0.1,
						gxHideSpeedSeconds: 0.1,
                        gxLayout: [
                            "V:|-" + (heightOffset) + "-[self]",
							"H:[self(120)]-62-|"
                        ],
                        gxDefaultValue: deviceTitle
                    },
                },
            },
        },
    };
};
